/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.xrtygis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.xrtygis.custom.entity.dataquery.GetMongWater;
import com.tofly.xrtygis.entity.Costrlfixed;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 实际制水单变填报信息表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
public interface CostrlfixedMapper extends BaseMapper<Costrlfixed> {
    /**
     * 制水材料
     * @param type
     * @param startYear
     * @param endYear
     * @return
     */
    List<Map> getWaterDataMonth(@Param("typet") String type , @Param("startYear") String startYear, @Param("endYear") String endYear);

    List<Map> getWaterDataQuarter(@Param("typet") String type , @Param("startYear") String startYear, @Param("endYear") String endYear);
    List<Map> getWaterDataQuarterTest(@Param("type") String type , @Param("startYear") String startYear, @Param("endYear") String endYear);

    List<Map> getWaterDataYear(@Param("typet") String type , @Param("startYear") String startYear, @Param("endYear") String endYear);
    List<Map> getWaterDataYearTest(@Param("type") String type , @Param("startYear") String startYear, @Param("endYear") String endYear);

    Double sumWaterDataYear(@Param("type") String type , @Param("year") String year);
    List<Map> quaWaterDataYear(@Param("type") String type , @Param("year") String year);
    /**
     * 单位成本饼图
     * @param ccode
     * @param year
     * @return
     */
    List<Map> getUnitCostYear(@Param("ccode") String ccode, @Param("year") String year);

    List<Map> getUnitCostSumYear(@Param("type") Long type,@Param("year") String year);


    List<Map> getUnitCostYearMonth(@Param("ccode") String ccode, @Param("month")String month , @Param("year") String yearDay);

    List<Map> getCodeByFId(@Param("typeId") Long typeId);

    List<Map> getCodeByIds(@Param("ids") List<String> ids);

    /**
     * 查询供水量
     * @param queryValue
     * @return
     */
    List<GetMongWater> getGetWater(@Param("value") String queryValue,@Param("year") String year);

    String getIndexName(@Param("index") String index);


}
